Bug 150687 - CAN-2005-0667 sylpheed buffer overflow
CAN-2005-0667 sylpheed buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sylpheed (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
impact=moderate,public=20050307,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-09 13:12 EST by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-18 04:20:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-09 13:12:54 EST
Buffer overflow in Sylpheed before 1.0.3 and other versions before 1.9.5 allows
remote attackers to execute arbitrary code via an e-mail message with certain
headers containing non-ASCII characters that are not properly handled when the
user replies to the message.

The upstream patch is here:
http://sylpheed.good-day.net/sylpheed/v1.0/sylpheed-1.0.2-1.0.3.patch.gz
Comment 1 Akira TAGOH 2005-03-09 17:04:19 EST
should be fixed in 0.5.0-3.EL21
Comment 2 Mark J. Cox (Product Security) 2005-03-18 04:20:53 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-303.html

Note You need to log in before you can comment on or make changes to this bug.